<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.7" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__ota__mqtt__params__t" kind="struct" prot="public">
    <compoundname>cy_ota_mqtt_params_t</compoundname>
    <includes local="no">cy_ota_api.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__ota__mqtt__params__t_1a426a5dcd872c5e7aa8f1e5b5a812dc41" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool cy_ota_mqtt_params_t::awsIotMqttMode</definition>
        <argsstring />
        <name>awsIotMqttMode</name>
        <briefdescription>
<para>0 = normal MQTT, 1 = Special Amazon mode </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="691" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="691" />
      </memberdef>
      <memberdef id="structcy__ota__mqtt__params__t_1ad34d95200fc95de6118ec4e3d699afd6" kind="variable" mutable="no" prot="public" static="no">
        <type>const char *</type>
        <definition>const char* cy_ota_mqtt_params_t::pIdentifier</definition>
        <argsstring />
        <name>pIdentifier</name>
        <briefdescription>
<para>Ptr to device ID. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="692" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="692" />
      </memberdef>
      <memberdef id="structcy__ota__mqtt__params__t_1ac806ee0d85cccc193de4b7b9be601477" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_ota_mqtt_params_t::numTopicFilters</definition>
        <argsstring />
        <name>numTopicFilters</name>
        <briefdescription>
<para>Number of Topics for MQTT Subscribe. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="693" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="693" />
      </memberdef>
      <memberdef id="structcy__ota__mqtt__params__t_1a7bb69c553cb9c13d8f32b3cb196ad0f9" kind="variable" mutable="no" prot="public" static="no">
        <type>const char **</type>
        <definition>const char** cy_ota_mqtt_params_t::pTopicFilters</definition>
        <argsstring />
        <name>pTopicFilters</name>
        <briefdescription>
<para>Topic Filter text. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="694" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="694" />
      </memberdef>
      <memberdef id="structcy__ota__mqtt__params__t_1a8c08bc782786d64fcf57aa94e3d446cd" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ota__typedefs_1ga6424608a6e19ecd99e52f4013354fa82">cy_ota_mqtt_session_type_t</ref></type>
        <definition>cy_ota_mqtt_session_type_t cy_ota_mqtt_params_t::session_type</definition>
        <argsstring />
        <name>session_type</name>
        <briefdescription>
<para><ref kindref="member" refid="group__group__ota__typedefs_1ga6424608a6e19ecd99e52f4013354fa82">cy_ota_mqtt_session_type_t</ref> </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="695" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="695" />
      </memberdef>
      <memberdef id="structcy__ota__mqtt__params__t_1afdf94288c07eb7e6648cb76779060f34" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__ota__server__info__t">cy_ota_server_info_t</ref></type>
        <definition>cy_ota_server_info_t cy_ota_mqtt_params_t::broker</definition>
        <argsstring />
        <name>broker</name>
        <briefdescription>
<para>Broker to get Job or OTA Image. </para>        </briefdescription>
        <detaileddescription>
<para>set use_get_job_flow in <ref kindref="compound" refid="structcy__ota__network__params__t">cy_ota_network_params_t</ref> to determine OTA update flow. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="697" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="697" />
      </memberdef>
      <memberdef id="structcy__ota__mqtt__params__t_1a42decbf03c92b95bde685ed5c6eb7ae3" kind="variable" mutable="no" prot="public" static="no">
        <type>IotNetworkCredentials_t</type>
        <definition>IotNetworkCredentials_t cy_ota_mqtt_params_t::credentials</definition>
        <argsstring />
        <name>credentials</name>
        <briefdescription>
<para>Setting credentials uses TLS (NULL == non-TLS) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="701" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="701" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>OTA MQTT specific Connection parameters. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="17">
        <label>cy_ota_mqtt_params_t</label>
        <link refid="structcy__ota__mqtt__params__t" />
        <childnode refid="18" relation="usage">
          <edgelabel>broker</edgelabel>
        </childnode>
      </node>
      <node id="18">
        <label>cy_ota_server_info_t</label>
        <link refid="structcy__ota__server__info__t" />
      </node>
    </collaborationgraph>
    <location bodyend="702" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="689" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="690" />
    <listofallmembers>
      <member prot="public" refid="structcy__ota__mqtt__params__t_1a426a5dcd872c5e7aa8f1e5b5a812dc41" virt="non-virtual"><scope>cy_ota_mqtt_params_t</scope><name>awsIotMqttMode</name></member>
      <member prot="public" refid="structcy__ota__mqtt__params__t_1afdf94288c07eb7e6648cb76779060f34" virt="non-virtual"><scope>cy_ota_mqtt_params_t</scope><name>broker</name></member>
      <member prot="public" refid="structcy__ota__mqtt__params__t_1a42decbf03c92b95bde685ed5c6eb7ae3" virt="non-virtual"><scope>cy_ota_mqtt_params_t</scope><name>credentials</name></member>
      <member prot="public" refid="structcy__ota__mqtt__params__t_1ac806ee0d85cccc193de4b7b9be601477" virt="non-virtual"><scope>cy_ota_mqtt_params_t</scope><name>numTopicFilters</name></member>
      <member prot="public" refid="structcy__ota__mqtt__params__t_1ad34d95200fc95de6118ec4e3d699afd6" virt="non-virtual"><scope>cy_ota_mqtt_params_t</scope><name>pIdentifier</name></member>
      <member prot="public" refid="structcy__ota__mqtt__params__t_1a7bb69c553cb9c13d8f32b3cb196ad0f9" virt="non-virtual"><scope>cy_ota_mqtt_params_t</scope><name>pTopicFilters</name></member>
      <member prot="public" refid="structcy__ota__mqtt__params__t_1a8c08bc782786d64fcf57aa94e3d446cd" virt="non-virtual"><scope>cy_ota_mqtt_params_t</scope><name>session_type</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>